php 5.0.4

svn path=/nixpkgs/trunk/; revision=3806
This commit is contained in:
Rob Vermaas 2005-09-11 21:39:22 +00:00
parent 60aff851a5
commit 468e2c1e13
3 changed files with 82 additions and 0 deletions

View file

@ -0,0 +1,8 @@
. $stdenv/setup
alias lex=flex
configureFlags="--with-libxml-dir=$libxml2 --with-apxs2=$apacheHttpd/bin/apxs --with-apr-util=$apacheHttpd"
makeFlags="APXS_LIBEXECDIR=$out/modules $makeFlags"
genericBuild

View file

@ -0,0 +1,18 @@
{stdenv, fetchurl, flex, bison, libxml2, apacheHttpd}:
assert libxml2 != null;
stdenv.mkDerivation {
name = "php-5.0.4";
src = fetchurl {
url = http://de.php.net/distributions/php-5.0.4.tar.bz2;
md5 = "fb1aac107870f897d26563a9cc5053c0";
};
inherit flex bison libxml2 apacheHttpd;
buildInputs = [flex bison libxml2 apacheHttpd];
builder = ./builder.sh ;
patches = [./fix.patch];
}

View file

@ -0,0 +1,56 @@
--- php-5.0.4/configure 2005-04-03 11:42:50.000000000 +0200
+++ php-5.0.4-1/configure 2005-07-10 11:06:22.292271176 +0200
@@ -3381,7 +3381,7 @@
case $host_alias in
*aix*)
- APXS_LIBEXECDIR=`$APXS -q LIBEXECDIR`
+ APXS_LIBEXECDIR="$prefix/modules"
EXTRA_LDFLAGS="$EXTRA_LDFLAGS -Wl,-brtl -Wl,-bI:$APXS_LIBEXECDIR/httpd.exp"
PHP_AIX_LDFLAGS="-Wl,-brtl"
build_type=shared
@@ -3576,7 +3576,7 @@
if test "$?" != "0"; then
APACHE_INSTALL="$APXS -i -a -n php5 $SAPI_SHARED" # Old apxs does not have -S option
else
- APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
+ APXS_LIBEXECDIR="$prefix/modules"
if test -z `$APXS -q SYSCONFDIR`; then
APACHE_INSTALL="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
$APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \
@@ -4680,7 +4680,7 @@
{ echo "configure: error: Please note that Apache version >= 2.0.40 is required." 1>&2; exit 1; }
fi
- APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
+ APXS_LIBEXECDIR="$prefix/modules"
if test -z `$APXS -q SYSCONFDIR`; then
INSTALL_IT="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
$APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \
@@ -5510,7 +5510,7 @@
{ echo "configure: error: Please note that Apache version >= 2.0.44 is required." 1>&2; exit 1; }
fi
- APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
+ APXS_LIBEXECDIR="$prefix/modules"
if test -z `$APXS -q SYSCONFDIR`; then
INSTALL_IT="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
$APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \
@@ -6327,7 +6327,7 @@
case $host_alias in
*aix*)
- APXS_LIBEXECDIR=`$APXS -q LIBEXECDIR`
+ APXS_LIBEXECDIR="$prefix/modules"
EXTRA_LDFLAGS="$EXTRA_LDFLAGS -Wl,-brtl -Wl,-bI:$APXS_LIBEXECDIR/httpd.exp"
PHP_AIX_LDFLAGS="-Wl,-brtl"
build_type=shared
@@ -6522,7 +6522,7 @@
if test "$?" != "0"; then
APACHE_HOOKS_INSTALL="$APXS -i -a -n php5 $SAPI_SHARED" # Old apxs does not have -S option
else
- APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
+ APXS_LIBEXECDIR="$prefix/modules"
if test -z `$APXS -q SYSCONFDIR`; then
APACHE_HOOKS_INSTALL="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
$APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \